import { useQueryClient as n } from "../../../../../@tanstack_preact-query@5.95.2_preact@10.29.0/node_modules/@tanstack/preact-query/build/modern/QueryClientProvider.js";
import { useCallback as a, useContext as o } from "../../../../../preact@10.29.0/node_modules/preact/hooks/dist/hooks.module.js";
import { m as i, b as r, au as u } from "./StoreProvider-CBB99upB.js";
try {
  let e = typeof window < "u" ? window : typeof global < "u" ? global : typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : {}, t = new e.Error().stack;
  t && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[t] = "7840a7b7-cb17-443f-9133-84ca83771322", e._sentryDebugIdIdentifier = "sentry-dbid-7840a7b7-cb17-443f-9133-84ca83771322");
} catch {
}
const c = i(), l = [
  "businessLines",
  "onboardingStatus",
  "pciStatus",
  "pciQuestionnaireList",
  "scenarios",
  "taskStatus",
  "taskTypes",
  "taxClassification",
  "termsOfServiceAcceptanceInfos",
  "termsOfServiceStatus",
  "transferInstruments"
], b = () => {
  const e = n(), { rootLegalEntityId: t } = r();
  return a(
    () => Promise.all([
      e.invalidateQueries({
        queryKey: ["legalEntity", t.value]
      }),
      e.invalidateQueries({
        predicate: ({ queryKey: s }) => l.includes(s[0])
      })
    ]).catch(c.error),
    [t.value, e]
  );
};
function g() {
  return o(u);
}
export {
  b as a,
  g as u
};
